<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class DataMenuAdressDetailsSelf extends DataMenuDetailsSelf
{
  
  protected $dbwAdresse;

  
  public function __construct($urlparam)
  {
    parent::__construct($urlparam);
    $this->dbwAdresse = DBWorkAdresse::getDefaultInstance();
    $this->exportadapter = new ExpAdresse();
    $this->urlparameter->explodeSettingStream();
  }

  
  public function _getClickPath($pPHP53DummyParam1 = '', $pPHP53DummyParam2 = '')
  {
    $tmp = 'Adressdetails';
    
    if ($this->toolsettings->clickStandortDetailText != '') {
      $tmp = $this->toolsettings->clickStandortDetailText;
    }

    return parent::_getClickPath($tmp);
  }

  public function getsight($sightid = 520)
  {
    parent::getsight($sightid);
  }

  public function getdataarrayheader()
  {
    $this->dataarrayheader = array($this->dbwAdresse->getAdresse($this->urlparameter->dsnr));
  }

  public function getdataarraybody($pZeitBereich = 'noRestrict')
  {
    $this->dataarraybody = array($this->dbwAdresse->getAdresse($this->urlparameter->dsnr));
  }

  public function getdataarrayfooter()
  {
    $this->dataarrayfooter = array($this->dbwAdresse->getAdresse($this->urlparameter->dsnr));
  }
}